//---------------------------------------------------------------------------
#ifndef CharacterUnitH
#define CharacterUnitH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------

class TCharacterForm : public TForm
{
__published:	// IDE-managed Components
	TButton *OkButton;
	TButton *CancelButton;
	TLabel *DexLbl;
	TLabel *Label3;
    TEdit *rMeanness;
	TLabel *RealLbl;
	TLabel *Label1;
    TEdit *sMeanness;
	TBevel *Bevel1;
	TComboBox *WickAl;
	TComboBox *AnarAl;
	TLabel *BeautyLbl;
	TEdit *rBeauty;
	TEdit *sBeauty;
	TLabel *WealthLbl;
	TEdit *rWealth;
	TEdit *sWealth;
	TEdit *rIntel;
	TEdit *sIntel;
	TLabel *IntLbl;
	TEdit *rCourage;
	TEdit *sCourage;
	TLabel *CourageLbl;
	TLabel *AlName;
	TButton *ItemBtn;
	TLabel *NameLbl;
	TEdit *CharName;
	TListBox *InventoryList;
	TLabel *InvLbl;
	TLabel *CashLbl;
	TEdit *Cash;
    TLabel *SetAttToLbl;
    TComboBox *SetAttTp;
    TEdit *AttitudeEdit;
    TLabel *Min100to100;
    TComboBox *CustomMind;
    TLabel *CustomLbl;
    TLabel *WickAnar;
    TEdit *EvilVal;
    TEdit *ChaosVal;
    TLabel *EvilLbl;
    TLabel *ChaosLbl;
    TCheckBox *IsPC;
    TButton *NextBtn;
    TLabel *User1Label;
    TEdit *UserDef1;
    TEdit *UserDef2;
    TEdit *UserDef3;
    TLabel *User2Label;
    TLabel *User3Label;
    TButton *DelBtn;
    TButton *EditInvBtn;
    TButton *DelInvBtn;
	void __fastcall AnarAlChange(TObject *Sender);
	void __fastcall WickAlChange(TObject *Sender);
	
	void __fastcall OkButtonClick(TObject *Sender);
	
	void __fastcall FormActivate(TObject *Sender);
	
	void __fastcall ItemBtnClick(TObject *Sender);
	
	
    void __fastcall CashChange(TObject *Sender);
    
    void __fastcall SetAttTpChange(TObject *Sender);
    
    
    void __fastcall AttitudeEditExit(TObject *Sender);
    
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall CustomMindChange(TObject *Sender);
    void __fastcall NextBtnClick(TObject *Sender);
    
    
    void __fastcall DelBtnClick(TObject *Sender);
    void __fastcall EditInvBtnClick(TObject *Sender);
    void __fastcall DelInvBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TCharacterForm(TComponent* Owner);
    void AlignmentDesc();
    void DisplayInventory();
    BOOL chExternalInit;
    void ResetCharactersList();    
    Character *ReferTo;
    void LoadCharacter(Character*);
    void LoadItem(InventoryItem*);
    void SaveItem(InventoryItem*);
    void SetMindset(AlignmentType );
    void PrintCharacterInfo(Character *);
    void DeleteMoney();
};
//---------------------------------------------------------------------------
extern TCharacterForm *CharacterForm;
//---------------------------------------------------------------------------
#endif
